# frozen_string_literal: true

require 'planet_express/date'

require 'planet_express/version'
require 'planet_express/repository'

require 'planet_express/discount'
require 'planet_express/discount_budget'
require 'planet_express/discount_budget_for_month_repository'

require 'planet_express/invalid_shipment'
require 'planet_express/shipment'
require 'planet_express/shipment_repository'
require 'planet_express/shipment_reader'

require 'planet_express/shipping_option'
require 'planet_express/shipping_option_repository'

require 'planet_express/rule'
require 'planet_express/s_shipment_discount_rule'
# require 'planet_express/l_shipment_discount_rule'

require 'planet_express/shipment_discount_calculator'

module PlanetExpress
end
